# Uses of Interface
org.springframework.beans.factory.config.BeanExpressionResolver

Packages that use BeanExpressionResolver
Package
Description
org.springframework.beans.factory.config
SPI interfaces and configuration-related convenience classes for bean factories.
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.

## Uses of BeanExpressionResolver in org.springframework.beans.factory.config

Methods in org.springframework.beans.factory.config that return BeanExpressionResolver
Modifier and Type
Method
Description
`BeanExpressionResolver`
ConfigurableBeanFactory.`getBeanExpressionResolver()`
Return the resolution strategy for expressions in bean definition values.
Methods in org.springframework.beans.factory.config with parameters of type BeanExpressionResolver
Modifier and Type
Method
Description
`void`
ConfigurableBeanFactory.`setBeanExpressionResolver(BeanExpressionResolver resolver)`
Specify the resolution strategy for expressions in bean definition values.

## Uses of BeanExpressionResolver in org.springframework.beans.factory.support

Methods in org.springframework.beans.factory.support that return BeanExpressionResolver
Modifier and Type
Method
Description
`BeanExpressionResolver`
AbstractBeanFactory.`getBeanExpressionResolver()`
Methods in org.springframework.beans.factory.support with parameters of type BeanExpressionResolver
Modifier and Type
Method
Description
`void`
AbstractBeanFactory.`setBeanExpressionResolver(BeanExpressionResolver resolver)`